V C++ 9.0 toolset für VS2015 verwenden



  • Einen wunderschönen Guten Morgen,

    angelehnt an einen anderen Topic von mir hier im Forum, stellt sich mir eine weitere Hürde.

    Kann ich in VS2015 mit dem Toolset VC++9.0 (2008 Redistributable) übersetzen? Und wenn ja wie mach ich das ? Ich kann in den Projekteinstellungen keine nur das V14.0 Toolset wählen?=habe dann mal spaßeshalber das 2008 C++ Redistributable installiert, aber das hilft wohl nichts.
    Und da ich QT verwende (5.6.3) muss ich da evtl. auch down-graden?

    Kann mir jemand noch ein paar Tipps geben😃



  • Wenn überhaupt müsstest Du auch VS-2008 installieren!
    Sonst fehlen Dir die DLLs und LIBs



  • Guten Morgen Martin,

    Danke:) das habe ich mir gedacht, und auch schon getan:) VS2008 Prof und auch das entsprechende QT Lib 4.8.7!

    Aber wie kann ich nun VS2015 dazubringen bzw. einem VS2015 Project, dass er mit dem Toolkit V9.00 arbeitet? Oder muss ich nun in VS2008 entwickeln?

    EDIT: Nebenfrage: Enthält die 2008 C++ Redistributable automatisch die .NET 3.5 Runtime?



  • Wenn es geht, wird Dir das Toolset in VS-2015 angezeigt. Wenn ich mich nicht irre ging das aber nur mit VS-2010.
    Aber in der Theorie kannst Du die Environment Variablen ändern oder die Dateien tauschen...

    Nein. Die C-Runtime enthält keine .NET Runtime und umgekehrt.

    Schau mal hier. Neue IDE mit alten Compilern haben schon andere versucht...
    https://www.speedproject.de/neue-ide-mit-altem-compiler/


Log in to reply